CVE-2020-35679

NameCVE-2020-35679
Descriptionsmtpd/table.c in OpenSMTPD before 6.8.0p1 lacks a certain regfree, which might allow attackers to trigger a "very significant" memory leak via messages to an instance that performs many regex lookups.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs978038

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
opensmtpd (PTS)stretch (security), stretch6.0.2p1-2+deb9u3fixed
buster, buster (security)6.0.3p1-5+deb10u4vulnerable
bullseye, sid6.8.0p2-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensmtpdsourcestretch(not affected)
opensmtpdsource(unstable)6.8.0p2-1978038

Notes

[stretch] - opensmtpd <not-affected> (regex table supported added > 6.4.0 according to CHANGES.md)
https://github.com/openbsd/src/commit/79a034b4aed29e965f45a13409268290c9910043
https://www.mail-archive.com/misc@opensmtpd.org/msg05188.html

Search for package or bug name: Reporting problems